## org.gnu.gtk.event
Class LifeCycleEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.LifeCycleEvent

All Implemented Interfaces:
  java.io.Serializable

public class LifeCycleEvent
extends GtkEvent

This event is used to identify life cycle events that effect a widget.

See Also:
  `LifeCycleListener`, Serialized Form

Nested Class Summary
`static class` `LifeCycleEvent.Type`

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`LifeCycleEvent(java.lang.Object source, LifeCycleEvent.Type type)` Construct a LifeCycleEvent object.

Method Summary
`boolean` `isOfType(LifeCycleEvent.Type test)`

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LifeCycleEvent

    public LifeCycleEvent(java.lang.Object source,
                          LifeCycleEvent.Type type)

  Construct a LifeCycleEvent object.

Method Detail

### isOfType

    public boolean isOfType(LifeCycleEvent.Type test)